madRemote_ must be recompile

delphi package - easy access to kernel objects etc.
Post Reply
Nicka
Posts: 6
Joined: Mon Jan 18, 2010 11:26 am

madRemote_ must be recompile

Post by Nicka »

Hi.
I'm downloaded and install madCollection 2.6.0.0.
When I recompile madBasic and madDisAsm, but not recompile madKernel
I get an error
[DCC Fatal Error] madKernel.pas(1489): E2225 Never-build package 'madRemote_' must be recompiled
version of dcc32.exe: 14.0.3593.25826
madshi
Site Admin
Posts: 10338
Joined: Sun Mar 21, 2004 5:25 pm

Post by madshi »

madKernel is a bit tricky. Some parts of its functionality need madRemote to succeed. However, if you don't have a madCodeHook/madRemote license, you can still recompile madKernel - but then without the madRemote functionality, of course.

Check out the file "madKernelUses.inc". If you want to recompile and don't have a madRemote license, make sure that the "madRemote" def is disabled or deleted. Furthermore just delete "madRemote_" from the "madKernel_.dpk". Afterwards recompiling madKernel should succeed.
Nicka
Posts: 6
Joined: Mon Jan 18, 2010 11:26 am

Post by Nicka »

Thank you.
I have a license madExcept 3, madCodeHook 2, madKernel
If I recompiling madKernel with precompiled madBasic from madCollection install - then everything is OK.
But if I myself recompiling madBasic and madKernel, then madKernel compiled with errors:
[DCC Fatal Error] madKernel.pas(1489): E2225 Never-build package 'madRemote_' must be recompiled
madshi
Site Admin
Posts: 10338
Joined: Sun Mar 21, 2004 5:25 pm

Post by madshi »

The problem is that you don't have the madRemote source code, so you can't recompile madRemote_.dpk. Not sure why Delphi insists of recompiling it. But anyway, if you do what I suggested in my previous comment, you should be able to recompile madKernel. However, the cost is that you'll a little bit of functionality in madKernel. Probably not a big problem, though.
Nicka
Posts: 6
Joined: Mon Jan 18, 2010 11:26 am

Post by Nicka »

ок
Thx
I understand, but I wonder more why, because madCollection 2.5.8.0 version can rebuild
madshi
Site Admin
Posts: 10338
Joined: Sun Mar 21, 2004 5:25 pm

Post by madshi »

Hmmmmm... That's interesting. My first guess would be that it has to do with the madCodeHook version. You know, the new installer contains both madCodeHook 2.x and 3.0. I think my automated installer creation logic recompiles madRemote twice, once for madCodeHook 2.x and once for 3.0. Probably that madRemote compile used in the final installer for madKernel is the one used for creating madCodeHook 3.0. So if you install madCodeHook 2.x, it doesn't fit to madKernel. Just guessing here...

:confused:
Sugar70
Posts: 2
Joined: Wed Dec 22, 2010 12:47 am

Re: madRemote_ must be recompile

Post by Sugar70 »

If you want to recompile and don't have a madRemote license, make sure that the "madRemote" def is disabled or deleted.
Furthermore just delete "madRemote_" from the "madKernel_.dpk".
Afterwards recompiling madKernel should succeed.
Post Reply